FluidSurveys & The Heartbleed Bug – What You Need to Know

At FluidSurveys, we take security very seriously. Given the importance we place on data protection, we use OpenSSL, the industry standard library used by the large majority of major Internet companies, for encryption. On Monday, April 7th, we became aware of a bug, and serious vulnerability, in OpenSSL, aka ‘Heartbleed‘.

As soon as we became aware of this issue on April 7th, we patched and updated all of our affected servers and regenerated our SSL certificates. This effectively closed the vulnerability. As with all security threats, we will continue closely monitoring the situation.

To be cautious, we would recommend changing your FluidSurveys.com passwords. We would also recommend that any white label clients who have provided us with their own SSL certificates consider revoking and regenerating them.

If you have any questions regarding Heartbleed, please do not hesitate to reach out: support@fluidsurveys.com.

FluidSurveys Presents

Free Survey Q&A

Join our survey & research expert Rick Penwarden as he answers all of your questions every Wednesday at 1PM EST!


Comments are closed here.